Bug 1428607 - Service : Ansible service request fails with error "`examine_request': undefined method `name' for nil:NilClass"
Summary: Service : Ansible service request fails with error "`examine_request': undefi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: mkanoor
QA Contact: Shveta
URL:
Whiteboard: service:ansible
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-02 23:20 UTC by Shveta
Modified: 2017-05-31 14:38 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:38:10 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
automation logs (58.15 KB, text/plain)
2017-03-02 23:20 UTC, Shveta
no flags Details
Ansible catalog item (118.33 KB, image/png)
2017-03-03 21:08 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Shveta 2017-03-02 23:20:23 UTC
Created attachment 1259353 [details]
automation logs

Description of problem:


Version-Release number of selected component (if applicable):
5.8.0.2-nightly.20170228141623_8710eed

How reproducible:


Steps to Reproduce:
1. Create an ansible service request .
2. request fails with below error in logs 
3. 

Actual results:


Expected results:


Additional info:

Comment 2 Greg McCullough 2017-03-03 18:41:21 UTC
Shveta - Please clarify what type of Ansible catalog item you are creating as there are now 2 types supported in 5.8: Ansible Playbooks and AnsibleTower.

I believe this is an AnsibleTower catalog item where the Provider and JobTemplate values have not been specified.  It would help if you could include a screenshot of the catalog item you created.

Comment 3 Shveta 2017-03-03 21:08:21 UTC
Created attachment 1259727 [details]
Ansible catalog item

Please check the entry point if its correct.

Comment 6 CFME Bot 2017-03-07 21:16:24 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/fc768ed6236398bc69a6ea5143740fb94d46479e

commit fc768ed6236398bc69a6ea5143740fb94d46479e
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Mon Mar 6 17:21:42 2017 -0500
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Mon Mar 6 17:21:42 2017 -0500

    Incorrect source_type in has_many
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1428607
    
    Ansible Tower Services where failing trying to access the
    configuration_manager

 app/models/mixins/service_configuration_mixin.rb | 2 +-
 spec/models/service_ansible_tower_spec.rb        | 6 ++++++
 2 files changed, 7 insertions(+), 1 deletion(-)

Comment 7 CFME Bot 2017-03-10 20:26:25 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/6784bdee52ee18cfe47ae12eb86e5a489309c2ce

commit 6784bdee52ee18cfe47ae12eb86e5a489309c2ce
Author:     James Wong <jwong@redhat.com>
AuthorDate: Tue Mar 7 15:54:49 2017 -0500
Commit:     James Wong <jwong@redhat.com>
CommitDate: Wed Mar 8 11:34:45 2017 -0500

    migrate configuration_scripts to configuration_script_base in service_resources table
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1428607

 ...7203433_migrate_configuration_script_to_base.rb | 20 ++++++++++++
 ...33_migrate_configuration_script_to_base_spec.rb | 37 ++++++++++++++++++++++
 2 files changed, 57 insertions(+)
 create mode 100644 db/migrate/20170307203433_migrate_configuration_script_to_base.rb
 create mode 100644 spec/migrations/20170307203433_migrate_configuration_script_to_base_spec.rb

Comment 9 Shveta 2017-04-26 19:16:23 UTC
Fixed.
Verified in 5.8.0.12-rc1.20170425180304_4f35996

Comment 11 errata-xmlrpc 2017-05-31 14:38:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.